Skip to main content
GET
/
ai
/
actor-project-threads
/
search
Search actor project threads
curl --request GET \
  --url https://api.wacht.dev/ai/actor-project-threads/search \
  --header 'Authorization: <api-key>'
{
  "data": [
    {
      "id": "<string>",
      "deployment_id": "<string>",
      "actor_id": "<string>",
      "project_id": "<string>",
      "title": "<string>",
      "thread_kind": "<string>",
      "thread_visibility": "<string>",
      "thread_purpose": "<string>",
      "responsibility": "<string>",
      "reusable": true,
      "accepts_assignments": true,
      "capability_tags": [
        "<string>"
      ],
      "status": "<string>",
      "system_instructions": "<string>",
      "last_activity_at": "2023-11-07T05:31:56Z",
      "completed_at": "2023-11-07T05:31:56Z",
      "execution_state": {},
      "next_event_sequence": 123,
      "metadata": {},
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "archived_at": "2023-11-07T05:31:56Z"
    }
  ],
  "limit": 123,
  "has_more": true,
  "next_cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Query Parameters

actor_id
string
required
q
string
limit
integer
cursor
string

Response

200 - application/json

Actor project thread page

data
object[]
limit
integer
has_more
boolean
next_cursor
string | null